SAMSUNG N150 Laptop : Brightness issue

Bug #574250 reported by Kris969 on 2010-05-03
188
This bug affects 39 people
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
Undecided
jesus fernandez

Bug Description

Bug description:
I have just bought a Samsung N150 laptop, very nice netbook.
As I am a Ubuntu user since 2004, I directly replace Windows seven with the latest Ubuntu version (Lucid Lynx 10.04).

I notice a systematic issue about screen brightness :
- The brightness is full when when laptop start with power supply plugged, otherwise the brightness is half. When i try to adjust the brightness using special keys it doesn't work.
Up to now, I have found on Ubuntu forum many guys relating the same behavior and i pickup a workaround. I use it until the fix will be available : sudo setpci -s 00:02.0 F4.B=50

Duncan Clough (duncan-clough) wrote :

I experience the same problem on a Samsung N150 with a fresh install of Ubuntu 10.04

I can also change my brightness manually with setpci

T L R (tlr) on 2010-05-07
affects: ubuntu → udev (Ubuntu)
IDWMaster (webadm) wrote :

Same problem here. It affects both my Samsung netbook and my Acer netbook.

Goksu (gun-goksu) wrote :

Same problem here too on my wife's netbook.

sudo setpci -s 00:02.0 F4.B=50 got the brightness up but the Fn-uparrow and Fn-downarrow do not work on samsung n150.

we are running 10.04 with all updates as of today 2010.06.06.

everything else works.

Kris969 (cby469-free) wrote :

Hi,

I have found on the French Ubuntu forum the way to activate key brightness control :

sudo add-apt-repository ppa:voria/ppa
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install samsung-tools samsung-backlight
sudo reboot

That's all, and it works for me now.
Is it the same for you ?

regards

Esto es lo que he instalado:

________________________________
De: Kris969 <email address hidden>
Para: <email address hidden>
Enviado: dom,6 junio, 2010 21:56
Asunto: [Bug 574250] Re: SAMSUNG N150 Laptop : Brightness issue

Hi,

I have found on the French Ubuntu forum the way to activate key
brightness control :

sudo add-apt-repository ppa:voria/ppa
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install samsung-tools samsung-backlight
sudo reboot

That's all, and it works for me now.
Is it the same for you ?

regards

--
SAMSUNG N150 Laptop : Brightness issue
https://bugs.launchpad.net/bugs/574250
You received this bug notification because you are a direct subscriber
of the bug.

Status in “udev” package in Ubuntu: New

Bug description:
Bug description:
I have just bought a Samsung N150 laptop, very nice netbook.
As I am a Ubuntu user since 2004, I directly replace Windows seven with the latest Ubuntu version (Lucid Lynx 10.04).

I notice a systematic issue about screen brightness :
- The brightness is full when when laptop start with power supply plugged, otherwise the brightness is half. When i try to adjust the brightness using special keys it doesn't work.
Up to now, I have found on Ubuntu forum many guys relating the same behavior and i pickup a workaround. I use it until the fix will be available : sudo setpci -s 00:02.0 F4.B=50

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/udev/+bug/574250/+subscribe

Per Atle Våland (per-atle) wrote :

The missing function keys are due to the fact that Samsung N150/N210/N220 are missing from the udev rules:

/lib/udev/rules.d/95-keymap.rules
/lib/udev/rules.d/95-keyboard-force-release.rules

adding "|*N150/N210/N220*" to the product part of the rules for Samsung in BOTH files, will enable the Fn-up and Fn-down keys. The new product section will look like:

ENV{DMI_VENDOR}=="[sS][aA][mM][sS][uU][nN][gG]*", ATTR{[dmi/id]product_name}=="*NC10*|*NC20*|*N130*|*SP55S*|*SQ45S70S*|*SX60P*|*SX22S*|*SX30S*|*R59P/R60P/R61P*|*SR70S/SR71S*|*Q210*|*Q310*|*X05*|*P560*|*R560*|*N150/N210/N220*"

Now, you can map these keys to any program setting the backlight (see: http://ubuntuforums.org/showthread.php?t=1397371 post no #)

same problem here, but setpci -s 00:02.0 F4.B=50 doesn't work: setpci: Warning: No devices selected for `F4.B=50'
whats wrong? ubuntu lucid

bhuvi (bhuvanesh) wrote :

same problem for me on lenovo G550 laptop. https://bugs.launchpad.net/ubuntu/+source/udev/+bug/530238

Furkan Tunalı (jacopkane) wrote :

Same here on n150 but this solution works for me

sudo add-apt-repository ppa:voria/ppa
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install samsung-tools samsung-backlight
sudo reboot

Martin Pitt (pitti) wrote :

This is fixed in maverick. It will be backported soon to 10.04, too.

Changed in udev (Ubuntu):
status: New → Fix Released

Same problem in windows, fixed with an older version of intel drivers:

Intel video Windows Drivers:

http://downloadcenter.samsung.com/content/DR/200912/20091204162507781/Internal_VGA_Intel_8.14.10.1972.zip

Same here on n150 but this solution works for me

sudo add-apt-repository ppa:voria/ppa
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install samsung-tools samsung-backlight
sudo reboot

Same problem here with Samsung N150. Solution at #4 from Kris969 worked perfectly.

alwinlin (alwinlin23) wrote :

sudo add-apt-repository ppa:voria/ppa
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install samsung-tools samsung-backlight
sudo reboot

they work for me as well!

thanks

Nick Steeves (nick-0) wrote :

Martin, which packages/repositories will the backports be found in? Also, out of curiosity: voria/ppa solution relies on xbindkeys, which introduces an extra 12 wakeups/second. Does the official backport have this issue? Either way, thank you, I look forward to the official fix. How soon can we expect to see it?

Same problem and same solution for Ubuntu 10.10...

Sven Müller (svenho) wrote :

Backlight Control in Maverick is also broken. Fixed it with the voria repository.

Martin Pitt (pitti) wrote :

I just took a look at the current lucid udev version in that PPA, and indeed it adds a few extra models. I just fixed that once and for all upstream now:

  http://git.kernel.org/?p=linux/hotplug/udev.git;a=commit;h=60d19551d8b532338a6f309f9186a5163121c9fe

However, this bug report is about the N150, which is already covered in lucid-updates and maverick, so I won't reopen this.

Note that this merely handles the keymaps. I suppose the samsung-backlight package adds some extra magic to actually change the brightness on Samsung notebooks, i. e. implement the "brightness up" key event action.

bford16 (bford16) wrote :

I have a Samsung N150 netbook with Ubuntu 10.04 UNR. The brightness keys do not work for me even after adding the voria ppa repository. However, all of the other special function keys work.

The brightness keys do work after reboot and before gdm starts. Once gdm starts, the keys stop working.

Mark Lord (launchpad-rtr) wrote :

The stupid part of all of this, is that initially the VOLUME keys *do* work in 10.04, after the initial install.

But after "apt-get update && apt-get upgrade", they STOP working. Something's seriously b0rked there for these netbooks. I'm going to try the third-party PPA workarounds now.

Mark Lord (launchpad-rtr) wrote :

Okay, rebooted with the third-party PPA addons.
The BACKLIGHT keys now work, but the other keys still don't since the initial upgrade.

Oh well. I'll just hack them back in.

Lorenzo Bettini (bettini) wrote :

on kubuntu maverick the ppa solution worked for me; the wireless fn key works, but not the backlight keys: when I press them I can see on the screen the level, but the level does not change... at least I can change the level from the battery applet.

By the way, I ran also dist-upgrade which also installs the new kernel image and automatically also the cpu frequency utils...

lol (killboymota) wrote :

this didnt worked for me. im running 10.10 on n150.

sudo add-apt-repository ppa:voria/ppa
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install samsung-tools samsung-backlight
sudo reboot

i did that and i cannot change the brightness...

Mystic-Mirage (mystic-mirage) wrote :

Same problem for my Samsung N148 Plus on Maverick. Voria's ppa fixes the problem but after upgrading backlight regulation does not work. Coz Voria's ppa isn't up to date so we need fix in mainline.

P.S. For correct work I need to add *N148P* in /lib/udev/rules.d/95-keyboard-force-release.rules

Erlan Sergaziev (sergeant) wrote :

I am now on Natty Alpha and this problem persists. setpci works for me, though, and guess I'll just live with it. Oh, well.

Kris969 (cby469-free) wrote :

Hi,

As I mentioned before, since I was using voria ppa for samsung notebook
provide a good behavior, especially concerning the black-light tuning using
specific key. It was, cause for a couple of weeks it doesn't work any more !
I don't really know why, perhaps due to the last voria ppa update ?

I tried first to fully remove this ppa, and I tested again, it doesn't word
as it is with Standard Ubuntu packages. Then I reinstall it again, reboot my
laptop, but it changes nothing...

I'm still available to provide extra information if needed, don't hesitate !

That's all for today.

Happy new year

2010/12/23 lol <email address hidden>

> this didnt worked for me. im running 10.10 on n150.
>
> sudo add-apt-repository ppa:voria/ppa
> sudo apt-get update && sudo apt-get upgrade
> sudo apt-get install samsung-tools samsung-backlight
> sudo reboot
>
> i did that and i cannot change the brightness...
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/574250
>
> Title:
> SAMSUNG N150 Laptop : Brightness issue
>
> Status in “udev” package in Ubuntu:
> Fix Released
>
> Bug description:
> Bug description:
> I have just bought a Samsung N150 laptop, very nice netbook.
> As I am a Ubuntu user since 2004, I directly replace Windows seven with the
> latest Ubuntu version (Lucid Lynx 10.04).
>
> I notice a systematic issue about screen brightness :
> - The brightness is full when when laptop start with power supply plugged,
> otherwise the brightness is half. When i try to adjust the brightness using
> special keys it doesn't work.
> Up to now, I have found on Ubuntu forum many guys relating the same
> behavior and i pickup a workaround. I use it until the fix will be available
> : sudo setpci -s 00:02.0 F4.B=50
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/udev/+bug/574250/+subscribe
>

hello y'all,

sorry to beat on a dead dog, but I have the same problem with my N150. I tried everything suggested in this thread, but nothing worked. However, I have noticed the my laptop's brightness comes to full everytime it is turned on while plugged in, but it comes to half brightness when turn on without the charger. If you guys can provide me more info or perhaps more hints, I will really appreciate it.

Thanks,

Hector

Erlan Sergaziev (sergeant) wrote :

What exactly doesn't work for you, the PPA solution or "sudo setpci -s 00:02.0 F4.B=50"?
sudo setpci -s 00:02.0 F4.B=CC
works for me on the same N150 and should work for you.
Of course, it's just a workaround, but I put it into a shell script in my path, so it doesn't bother me anymore.

oops i forgot to mention that hehehe....yes, the workaround command does work for me. However, I find it a bit annoying to type the command every time i am not plugged in...btw, i am enjoying my ubuntu. I never knew it would be so much fun to personalize my computer....

Erlan Sergaziev (sergeant) wrote :

I agree this is far from perfect.
You surely know, but just in case you can put this line into your $HOME/.bashrc:

alias bri='sudo setpci -s 00:02.0 F4.B=CC'

After that you will only have to type bri and enter your password.

After that you will only have to type bri and enter your password.

Back to the topic, this is more Samsung's fault as these buttons don't work in Windows 7 without special drivers.
This means the scan codes of these buttons are not standard (I know there's no official standard, but consensus).
GNOME does have shortcuts for adjusting brightness which work on most other laptops.

Gorom (gorom) wrote :

Hi.

@Erlan Sergaziev

Do you mean that this problem can't be fixed at all ?

Erlan Sergaziev (sergeant) wrote :

No, I think it can be solved. I mean it will be a fix (or a hack) specific to this particular model which is not necessarily a bad thing. Many things in Linux (and in Windows) are made as hacks :)

Per Atle Våland on post #6 gives a good-looking solution, I haven't tried it myself yet, though.

Ximao (simaoest) wrote :

Thanks Kris969, work for me. heh

Paul Peacock (peacockpaul9) wrote :

Hi all, just to add my two penn'orth: on my n150...
installing the packages from voira does indeed make most of the function keys work
the backlight brightness keys prompt the appearance of the notifier which indicates (to my mind) they are mapped to the correct functions
_however_ backlight brightness is left unchanged when using the function keys, and changing brightness in the power applet does not affect brightness either.

Perhaps they are all mapped to the wrong device, as
sudo setpci -s 00:02.0 F4.B=10
(or whatever value) does affect the brightness as expected.

Filipp (samoylovfp) wrote :

Samsung N150

GNU/Linux i686 2.6.35-28-generic

setpci changes backlight, Fn + (up | down) with installed packages from voria and slider in battery settings don't.

Filipp (samoylovfp) wrote :

Oh and Ubuntu Maverick (10.10)

Gorom (gorom) wrote :

Hi Filipp,

please look at my method that i describe in this topic : http://www.voria.org/forum/viewtopic.php?f=3&t=728

It works for me with Ubuntu 10.10 et Samsung N150.

Regards

Filipp (samoylovfp) wrote :

Thanks, Woulouf, but I've already upgraded to 11.04, so I'll stick with the script for now =)

Changed in udev (Ubuntu):
assignee: nobody → jesus fernandez (jfernan0)
fabrixx (fabrixx) wrote :

Solved on Ubuntu 11.04:

$ sudo add-apt-repository ppa:voria/ppa
$ sudo apt-get update
$ sudo apt-get install samsung-backlight
$ sudo reboot

Jack Donaghy (jack-jackd) wrote :

I'm on a Samsung N150 running Ubuntu 11.04 and had this problem. I installed the samsung-backlight package and that fixed it, but now it's not working again. The only significant thing I did before it stopped working again was install and then uninstall kubuntu-netbook. setpci works, though.

aone (aonezzz) wrote :

I'm in 11.04, all up to date with the Samsung n150. The brighness FN keys work (it appears the notify of brith change) but the brithness of the screen does not change at all, nor with the brightness applet.

So, what is fixed, the keymap or the brightness problem? I can't say the seccond.

Ubuntu 11.04 Natty on Samsung NF310 has the same problem (brightness keys have no effect). setpci works, although I'll have to figure out the brightness I really want. Haven't tried the samsung-backlight package because it seems to also require a custom kernel (?) and I didn't want to take any major risks right now.

charly (charlymr) wrote :

for me the samsung-backlight thing works on a N210 with 11.04 like a charm! Before the keys didn't work.

Garm (dronefreq) wrote :

Hi everyone,
I've a Samsung N150 and Ubuntu 10.04. I've just installed the "samsung-tools samsung-backlight" using:

sudo add-apt-repository ppa:voria/ppa
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install samsung-tools samsung-backlight
sudo reboot

After the first reboot it worked well, but after a second reboot I can't have access to the system because the screen is continuously reloading. I mean it passes from whitescreen to the desktop image every second, without loading the entire desktop.

How can I come back to a normal situation? Heeelp!!!
Thank you,
Garm

Duncan Clough (duncan-clough) wrote :

This bug is still present in a fresh install of 11.04. Ubuntu thinks it's changing the brightness when I try change it using the fn keys and moves the brightness bar up and down correctly, but the brightness of the screen doesn't change (stays on full).

Gorom (gorom) wrote :

I think that this bug will be always present.

You should try Voria packages. (see above)

Adam Spiers (adam.spiers) wrote :

I don't understand why we have to rely on 3rd party packages to fix this. Is it simply due to lack of resources in the Ubuntu community, or is there some policy which prevents the real fix from making it into natty updates?

Adam Spiers (adam.spiers) wrote :

Hello, any Ubuntu maintainers listening?

Gorom (gorom) wrote :

Hi.

Since Ubuntu 11.10, i don't need Voria packages anymore. (Samsung N150)

Regards

Rand Aijala (raijala) wrote :

Brightness keys still do not work for me without Voria's packages on fresh 11.10 install on my N150.

Martin Pitt (pitti) wrote :

11.10's kernel at least does ship the samsung-laptop module, so the samsung-backlight package from voria's PPA is not necessary any more. udev also ships the necessary rules, and this bug is marked "fix released". So from a maintainer's point of view there was/is nothing further to do here.

Juan Gallego (jgallegomolero) wrote :

I have upgraded from 11.04 to 11.10, and now brightness widget appears on the screen, but it doesn't work.

Is it possible to reopen this bug??

>________________________________
>De: Martin Pitt <email address hidden>
>Para: <email address hidden>
>Enviado: viernes 11 de noviembre de 2011 7:21
>Asunto: [Bug 574250] Re: SAMSUNG N150 Laptop : Brightness issue
>
>11.10's kernel at least does ship the samsung-laptop module, so the
>samsung-backlight package from voria's PPA is not necessary any more.
>udev also ships the necessary rules, and this bug is marked "fix
>released". So from a maintainer's point of view there was/is nothing
>further to do here.
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/574250
>
>Title:
>  SAMSUNG N150 Laptop : Brightness issue
>
>Status in “udev” package in Ubuntu:
>  Fix Released
>
>Bug description:
>  Bug description:
>  I have just bought a Samsung N150 laptop, very nice netbook.
>  As I am a Ubuntu user since 2004, I directly replace Windows seven with the latest Ubuntu version (Lucid Lynx 10.04).
>
>  I notice a systematic issue about screen brightness :
>  - The brightness is full when when laptop start with power supply plugged, otherwise the brightness is half. When i try to adjust the brightness using special keys it doesn't work.
>  Up to now, I have found on Ubuntu forum many guys relating the same behavior and i pickup a workaround. I use it until the fix will be available : sudo setpci -s 00:02.0 F4.B=50
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/udev/+bug/574250/+subscriptions
>
>
>

Martin Pitt (pitti) wrote :

Juan Gallego [2011-11-11 8:14 -0000]:
> I have upgraded from 11.04 to 11.10, and now brightness widget appears
> on the screen, but it doesn't work.
>
> Is it possible to reopen this bug??

Please file a new one, as it's fixed for other people. Do the
brightness hotkeys work?

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Adam Spiers (adam.spiers) wrote :

I presume the Voria packages automatically get removed on upgrade to 11.10?

Martin Pitt (pitti) wrote :

Adam Spiers [2011-11-11 9:21 -0000]:
> I presume the Voria packages automatically get removed on upgrade to
> 11.10?

If you use update-manager, I think it disables third-party software
sources on upgrade.

I am running Ubuntu 12.04 Alpha it seems that the ppa:voria/ppa doesn't work but "sudo setpci -s 00:02.0 F4.B=50" works fine, it will reset after reboot.

Juan Gallego (jgallegomolero) wrote :

hi,

I have updated comments on issue: 889009

"I have installed this linux-image versión, and now brightness Fn keys works fine.
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.15-oneiric/"

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers